{% extends 'appointment/index.html' %}
{% load static %}
{% block css %}
  <link rel="stylesheet" href="{% static "appointment/css/appointment.css" %}">
  {{ form.media.css }}
{% endblock %}
{% load django_bootstrap_breadcrumbs %}
{% block breadcrumbs %}
  {{ block.super }}
  {% breadcrumb appointment "appointment:appointment_details" appointment.id %}
{% endblock %}
{% block title %}
  {% if appointment %}
    {{ appointment }}
  {% else %}
    Электронная очередь
  {% endif %}
{% endblock %}
{% block content %}
  {% render_breadcrumbs %}
  <section class="container-fluid flex-grow">
    <div class="container">
      {% if perms.appointment.change_appointment %}
        <a href="/admin/appointment/appointment/{{ appointment.id }}/change/" class="btn btn-warning"
           role="button"><i class="fas fa-users-cog"></i> Изменить</a>
        <a href="{% url 'appointment:queue_list' appointment_id %}" class="btn btn-warning"
           role="button"> Список записавшихся</a>
        {#            <a href="{% url 'appointment:edit_appointment' appointment.id %}"><i class="far fa-edit"></i></a>#}
        <hr>
      {% endif %}
      {#    {% if perms.appointment.change_queue %}#}
      {#      <a href="{% url 'appointment:queue' appointment.id %}" role="button" class="btn btn-warning">Очередь</a>#}
      {#    {% endif %}#}
      <h1>{{ appointment.event.name }}</h1>
      <h2>{{ appointment.start.day }}.{{ appointment.start.month }}.{{ appointment.start.year }} {{ appointment.get_weekday }}</h2>
      <h2>{{ appointment.start.time }}-{{ appointment.finish }}</h2>
      {% if appointment.teachers.all.count == 1 %}
        <h3>Преподаватель:<br>
          <a href="{% url 'main:teacher'  appointment.teachers.first.id %}">{{ appointment.teachers.first }}</a><br>
        </h3>
      {% elif appointment.teachers.all.count > 1 %}
        <h3>Преподаватели:<br>
          {% for tchr in appointment.teachers.all %}
            <a href="{% url 'main:teacher' tchr.id %}">{{ tchr }}</a><br>
          {% endfor %}
        </h3>
      {% endif %}
      {% if appointment.tutors.all.count == 1 %}
        <h3>Тьютор:<br>
          {{ appointment.tutors.first.last_name }} {{ appointment.tutors.first.first_name }}
          <br>
        </h3>
      {% elif appointment.tutors.all.count > 1 %}
        <h3>Тьюторы:<br>
          {% for ttr in appointment.tutors.all %}
            {{ ttr.last_name }} {{ ttr.first_name }}<br>
          {% endfor %}
        </h3>
      {% endif %}
      {% if appointment.instruction %}
        <hr>
        {{ appointment.instruction|linebreaks }}
      {% endif %}

      <h5><span class="badge badge-secondary">
                    Мест осталось: <span class="badge badge-light">{{ appointment.get_left }}</span>
      </span></h5>
      <hr>
      <form action="{% url 'appointment:appointment_details' appointment.id %}" method="post">
        {% csrf_token %}
        <div class="form-row">
          {% if appointment.categories.all %}
            <div class="form-group col-md-6">
              <label for="id_category">Тип:</label>
              <select name="category" required class="form-control" id="id_category">
                <option></option>
                {% for cat in appointment.categories.all %}
                  <option>{{ cat }}</option>
                {% endfor %}
              </select>
            </div>
          {% endif %}
          {% if appointment.subjects.all %}
            <div class="form-group col-md-6">
              <label for="id_subject">Предмет:</label>
              <select name="subject" required class="form-control" id="id_subject">
                <option value=""></option>
                {% for sub in appointment.subjects.all %}
                  <option value="{{ sub }}">{{ sub }}</option>
                {% endfor %}
              </select>
            </div>
          {% endif %}
          <div class="form-group col-md-6">
            {{ form.last_name.errors }}
            <label for="id_last_name">Фамилия:</label>
            {{ form.last_name }}
          </div>
          <div class="form-group col-md-6">
            {{ form.first_name.errors }}
            <label for="id_first_name">Имя:</label>
            {{ form.first_name }}
          </div>
          <div class="form-group col-md-6">
            {{ form.group.errors }}
            <label for="id_group">Группа:</label>
            {{ form.group }}
          </div>
          {#          <div class="form-group col-md-6">#}
          {#            <label for="id_group">Группа</label>#}
          {#            <input type="text" name="group" class="form-control" maxlength="128" required="" id="id_group">#}
          {#          </div>#}
          {% if appointment.get_app_type == 'interval' and appointment.get_timelist %}
            <div class="form-group col-md-6">
              <label for="id_time">Выберите конкретное время:</label>
              <select class="form-control" name="time" id="id_time">
                {% for t in appointment.get_timelist %}
                  <option>{{ t }}</option>
                {% endfor %}
              </select>
            </div>
          {% else %}
            {#<p>Конкретное время выбрать нельзя.</p>#}
          {% endif %}
          {% if occupied %}
            <p id="warn_text">{{ occupied }} только-что занял кто-то другой, выберите другое время.</p>
          {% endif %}
        </div>
        <button type="submit" class="btn btn-primary">Записаться</button>
      </form>
    </div>
  </section>
{% endblock %}
{% block js %}
  {{ form.media.js }}
{% endblock %}